Package org.eclipse.net4j.util.concurrent

# Class OnePendingExecutor

java.lang.Object
org.eclipse.net4j.util.concurrent.OnePendingExecutor

All Implemented Interfaces:
  `Executor`

public class OnePendingExecutor extends Object implements Executor

## Constructor Summary

Constructors
Constructor
Description
`OnePendingExecutor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`execute(Runnable command)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OnePendingExecutor

public OnePendingExecutor()

## Method Details

### execute

public void execute(Runnable command)

Specified by:
  `execute` in interface `Executor`